#!/bin/sh
# transliteration script for macedonian cyrillic, greek and latin accented
# characters
# that appear in OSM names.  They are transliterated into simple ASCII which
# can be displayed on any Garmin GPS device
# (assuming UTF-8 input!)
sed \
-e 's/А/A/g' \
-e 's/а/a/g' \
-e 's/Б/B/g' \
-e 's/б/b/g' \
-e 's/В/V/g' \
-e 's/в/v/g' \
-e 's/Г/G/g' \
-e 's/г/g/g' \
-e 's/Ђ/Dj/g' \
-e 's/ђ/dj/g' \
-e 's/Ѓ/Gj/g' \
-e 's/ѓ/gj/g' \
-e 's/Д/D/g' \
-e 's/д/d/g' \
-e 's/Ѕ/Dz/g' \
-e 's/ѕ/dz/g' \
-e 's/Е/E/g' \
-e 's/е/e/g' \
-e 's/Ё/E/g' \
-e 's/ё/e/g' \
-e 's/Ж/Zh/g' \
-e 's/ж/zh/g' \
-e 's/З/Z/g' \
-e 's/з/z/g' \
-e 's/И/I/g' \
-e 's/и/i/g' \
-e 's/Й/Y/g' \
-e 's/й/y/g' \
-e 's/ј/j/g' \
-e 's/Ј/J/g' \
-e 's/К/K/g' \
-e 's/к/k/g' \
-e 's/Ќ/K/g' \
-e 's/ќ/k/g' \
-e 's/Л/L/g' \
-e 's/л/l/g' \
-e 's/Љ/Lj/g' \
-e 's/љ/lj/g' \
-e 's/М/M/g' \
-e 's/м/m/g' \
-e 's/Н/N/g' \
-e 's/н/n/g' \
-e 's/Њ/Nj/g' \
-e 's/њ/nj/g' \
-e 's/О/O/g' \
-e 's/о/o/g' \
-e 's/П/P/g' \
-e 's/п/p/g' \
-e 's/Р/R/g' \
-e 's/р/r/g' \
-e 's/С/S/g' \
-e 's/с/s/g' \
-e 's/Т/T/g' \
-e 's/т/t/g' \
-e 's/У/U/g' \
-e 's/у/u/g' \
-e 's/Ф/F/g' \
-e 's/ф/f/g' \
-e 's/Х/Kh/g' \
-e 's/х/kh/g' \
-e 's/Ц/C/g' \
-e 's/ц/c/g' \
-e 's/Ч/Ch/g' \
-e 's/ч/ch/g' \
-e 's/Џ/Dzh/g' \
-e 's/џ/dzh/g' \
-e 's/Ш/Sh/g' \
-e 's/ш/sh/g' \
-e 's/Щ/Shch/g' \
-e 's/щ/shch/g' \
-e 's/Ъ//g' \
-e 's/ъ//g' \
-e 's/Ы/Y/g' \
-e 's/ы/y/g' \
-e 's/Ь//g' \
-e 's/ь//g' \
-e 's/Э/E/g' \
-e 's/э/e/g' \
-e 's/Ю/Yu/g' \
-e 's/ю/yu/g' \
-e 's/Я/Ya/g' \
-e 's/я/ya/g' \
-e 's/č/ch/g' \
-e 's/ž/zh/g' \
-e 's/Ž/Zh/g' \
-e 's/š/sh/g' \
-e 's/Š/Sh/g' \
-e 's/Č/Ch/g' \
-e 's/„//g' \
-e 's/“//g' \
-e 's/μπ/b/g' \
-e 's/ντ/d/g' \
-e 's/αι/e/g' \
-e 's/άι/e/g' \
-e 's/αί/e/g' \
-e 's/ει/i/g' \
-e 's/έι/i/g' \
-e 's/εί/i/g' \
-e 's/οι/i/g' \
-e 's/όι/i/g' \
-e 's/ου/ou/g' \
-e 's/ού/ou/g' \
-e 's/αυ/av/g' \
-e 's/ευ/ev/g' \
-e 's/ηυ/iv/g' \
-e 's/γγ/ng/g' \
-e 's/γκ/g/g' \
-e 's/γι/j/g' \
-e 's/[αά]/a/g' \
-e 's/χ/ch/g' \
-e 's/δ/d/g' \
-e 's/[εέ]/e/g' \
-e 's/φ/f/g' \
-e 's/γ/g/g' \
-e 's/[ιίηή]/i/g' \
-e 's/κ/k/g' \
-e 's/λ/l/g' \
-e 's/μ/m/g' \
-e 's/ν/n/g' \
-e 's/[οόωώ]/o/g' \
-e 's/π/p/g' \
-e 's/ψ/ps/g' \
-e 's/ρ/r/g' \
-e 's/[ςσ]/s/g' \
-e 's/τ/t/g' \
-e 's/θ/th/g' \
-e 's/[υύ]/y/g' \
-e 's/β/v/g' \
-e 's/ξ/x/g' \
-e 's/ζ/z/g' \
-e 's/Θ/Th/g' \
-e 's/Γ/G/g' \
-e 's/Σ/S/g' \
-e 's/Λ/L/g' \
-e 's/Φ/F/g' \
-e 's/φ/F/g' \
-e 's/Π/P/g' \
-e 's/π/p/g' \
-e 's/Ψ/Ps/g' \
-e 's/ψ/ps/g' \
-e 's/Ξ/X/g' \
-e 's/ξ/x/g' \
-e 's/Ω/O/g' \
-e 's/ω/o/g' \
-e 's/Δ/D/g' \
-e 's/δ/d/g' \
-e 's/É/E/g' \
-e 's/é/e/g' \
-e 's/Ë/E/g' \
-e 's/ë/e/g' \
-e 's/Ϊ/I/g' \
-e 's/ϊ/i/g' \
-e 's/Í/I/g' \
-e 's/í/i/g' \
-e 's/Ó/O/g' \
-e 's/ó/o/g' \
-e 's/Ł/L/g' \
-e 's/ł/l/g' \
-e 's/Ň/N/g' \
-e 's/ň/n/g' \
-e 's/Ð/D/g' \
-e 's/ð/d/g' \
-e 's/Ć/C/g' \
-e 's/ć/c/g' \
-e 's/Ç/C/g' \
-e 's/ç/c/g' \
-e 's/Đ/D/g' \
-e 's/đ/d/g' \
-e 's/Ζ/Z/g' \
-e 's/Ε/E/g' \
-e 's/ε/e/g' \
-e 's/Ο/O/g' \
-e 's/ο/o/g' \
-e 's/Κ/K/g' \
-e 's/κ/k/g' \
-e 's/Ν/N/g' \
-e 's/ν/n/g' \
-e 's/Μ/M/g' \
-e 's/μ/m/g' \
-e 's/Β/B/g' \
-e 's/β/b/g' \
-e 's/Χ/X/g' \
-e 's/χ/x/g' \
-e 's/Η/H/g' \
 
